<?php
global $twig;


echo $twig->render('head.html.twig', [
    'title' => "Accueil",
    'style' => "public/styles/styleAccueil.css",
    'scripts' => array("public/script/theme-toggle.js")
]);


// Rendu du bandeau
echo $twig->render('bandeau.html.twig');

// Vérification de la présence de la "Citation du jour"
if (!empty($citationDuJour)) {
    echo $twig->render('citation_du_jour.html.twig', [
        'quote' => $citationDuJour->getContent(),
        'movie' => $citationDuJour->getTitleSrc(),
        'character' => $citationDuJour->getCarac(),
        'year' => $citationDuJour->getDateSrc(),
        'imagePath' => $citationDuJour->getImgPath(),
        'id' => $citationDuJour->getId(),
    ]);
} else {
    echo "<p class='error'>Aucune citation du jour n'a été trouvée.</p>";
}

// Affichage des suggestions de citations

echo $twig->render('quoteLittle.html.twig', [
        'quotes' => $suggestions,
        'titre' => "Suggestions"
    ]);
?>